Subject: Ticket Assigned - Shukran
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 01 Apr 2023 16:14:11 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Shukran Hello Splash Team,

I placed an order on 19/3/23 - order number #9420694290

I used my Shukran credit to place the order, the order did not go through, however my shukran credit was deducted AED 110 I have contacted the splash help centre twice now and both times I was told they would put a note to the concerned department, yet, after so many days nothing has happened. Could someone please check on this issue? I have ordered multiple times from Splash and never faced this kind of service. 

Regards, https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5923932